%global momorel 9
%global md5sum_src0 f04a903cc0e18b3c338f58eb90f6caf8
%define pkgname xinit

Summary: X.Org X11 X Window System xinit startup scripts
Name: xorg-x11-%{pkgname}
Version: 1.0.3
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/app/%{pkgname}-%{version}.tar.bz2 %{md5sum_src0}
Source1: xinitrc-momonga-20070731.tar.bz2
Patch0: xinitrc-momonga-locale-20041205.patch

BuildRequires: libX11-devel
# NOTE: startx needs xauth in order to run, but that is not picked up
#       automatically by rpm.  (Bug #173684)
Requires: xorg-x11-xauth
PreReq: chkconfig

# NOTE: xinit, startx moved to xorg-x11-xinit during the X.Org X11R7
# modularization.  These Obsoletes lines ensure upgrades work smoothly.
#Obsoletes: XFree86, xorg-x11

Obsoletes: xinitrc

%description
X.Org X11 X Window System xinit startup scripts

%package base
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-base

%package additional
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-additional

%package french
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-french

%package english
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-english

%package spanish
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-spanish

%package german
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xorg-x11-xinit
Obsoletes: xinitrc-german

%description base
base locale configurariotn files.

%description additional
Additional locale configurariotn files.
Each locale has few gettextized application.

%description french
Additional French package.
If you want to use some fr_* locale (except fr_FR). try this.

%description german
Additional German package.
If you want to use some de_* locale (except de_DE). try this.

%description english
Additional English package.
If you want to use some en_* locale (except en_US,en_GB). try this.

%description spanish
Additional Spanish package.
If you want to use some es_* locale (except es_ES). try this.

%prep
%setup -q -c -n %{pkgname}-%{version} -a0 -a1
pushd xinitrc-momonga
%patch0 -p1 -b .sr_YU
popd

%build
pushd %{pkgname}-%{version}
%configure
# FIXME: Upstream should default to XINITDIR being this.  Make a patch to
# Makefile.am and submit it in a bug report or check into CVS.
make XINITDIR=/etc/X11/xinit
popd

pushd xinitrc-momonga
%make
popd

%install
rm -rf --preserve-root %{buildroot}
# FIXME: Upstream should default to XINITDIR being this.  Make a patch to
# Makefile.am and submit it in a bug report or check into CVS.
pushd %{pkgname}-%{version}
%makeinstall XINITDIR=%{buildroot}/etc/X11/xinit
popd

pushd xinitrc-momonga

# we cannot support many locales yet
cut -f 2,3,4,5,6 -d "/" additional > undelete_list
cut -f 2,3,4,5,6 -d "/" base >> undelete_list
cut -f 2,3,4,5,6 -d "/" english >> undelete_list
cut -f 2,3,4,5,6 -d "/" french >> undelete_list
cut -f 2,3,4,5,6 -d "/" german >> undelete_list
cut -f 2,3,4,5,6 -d "/" spanish >> undelete_list
find ./etc/X11/xinit/lang.d | grep -vf undelete_list | sed 1d | xargs rm -f

cp -a etc usr %{buildroot}
# delete patch2 backup
rm -f %{buildroot}/%{_sysconfdir}/X11/xinit/Xclients.gnome-dbus

if [ %{_initscriptdir} = /etc/init.d ] ; then
  mv %{buildroot}/etc/rc.d/init.d %{buildroot}/etc
fi

pushd %{buildroot}/etc/X11/xinit/lang.d

# remove not supported locales
rm af_ZA.UTF-8 be_BY@latin br_FR.UTF-8 br_FR@euro bs_BA.UTF-8 cy_GB.UTF-8
rm da_DK.ISO-8859-15 en_GB.ISO-8859-15 en_US.ISO-8859-15 et_EE.ISO-8859-15
rm ka_GE.UTF-8 mi_NZ.UTF-8 oc_FR.UTF-8 sv_SE.ISO-8859-15 tg_TJ.UTF-8
rm tl_PH.UTF-8 uz_UZ@cyrillic yi_US.UTF-8 zh_CN.GB18030 zh_CN.GBK
rm uz_UZ.UTF-8 zh_TW.EUC-TW
rm *ISO-8859-15

popd
popd

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/chkconfig --add xinitrc

%preun
/sbin/chkconfig --del xinitrc

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/startx
%{_bindir}/xinit
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*

%{_bindir}/chlang
%{_datadir}/config-sample/xinitrc
%dir %{_sysconfdir}/X11/xinit
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/Xmodmap
%{_sysconfdir}/X11/xinit/Xsession
%{_sysconfdir}/X11/xinit/xinitrc
%{_sysconfdir}/X11/xinit/session.d
%{_sysconfdir}/X11/xinit/xim.d
%{_sysconfdir}/X11/xinit/xinitrc.d
%{_sysconfdir}/X11/xinit/xinitrc-common
%{_sysconfdir}/X11/xinit/xinitrc-momonga
%dir %{_sysconfdir}/X11/xinit/lang.d
%config %{_initscriptdir}/xinitrc

%files base -f xinitrc-momonga/base
%defattr(-,root,root)

%files spanish -f xinitrc-momonga/spanish
%defattr(-,root,root)

%files german -f xinitrc-momonga/german
%defattr(-,root,root)

%files english -f xinitrc-momonga/english
%defattr(-,root,root)

%files french -f xinitrc-momonga/french
%defattr(-,root,root)

%files additional -f xinitrc-momonga/additional
%defattr(-,root,root)

%changelog
* Tue Jul 31 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.3-9m)
- modify Xclients for startx
- change background color (Mo4 color)

* Wed Jul 11 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.3-8m)
- update xinitrc-momonga-20070709.tar.bz2
-- marge Patch2(xinit-1.0.2-gnome_dbus.patch)
-- change background color (wakatake iro)

* Mon Jul  9 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.3-7m)
- update xinitrc-momonga-20070709.tar.bz2
-- update Xsession, xinitrc-momonga
-- marge Patch3(xinit-1.0.3-kde_dbus_launch.patch)

* Sun Jul  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-6m)
- remove gdm-default-desktop.patch

* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-5m)
- add gdm-default-desktop.patch for Beta1
- update kde_dbus_launch.patch

* Sun May 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-4m)
- update xinitrc-momonga-20060714.tar.bz2
-- make-langinfo.sh : use locale command
-- create list-langage.rb
--- Durty hack. Please remake this script

* Mon Feb 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-3m)
- update kde_dbus_launch.patch (add $DBUS_LAUNCH to "echo" section)

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-2m)
- add $DBUS_LAUNCH to startkde of Xsession, amarok-yauap needs it

* Wed Nov  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-1m)
- update 1.0.3

* Thu Sep 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-15m)
- bugfix http://developer.momonga-linux.org/kagemai/guest.cgi?project=momongaja&action=view_report&id=183
-- gnome-settions-daemon need dbus-launch (startx)
-- add patch2

* Fri Jul 14 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-14m)
- change background color (xinitrc-common)

* Sat Jul  1 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-13m)
- update xinitrc-common, for set SSH_ASKPASS
- update Xsession, Bug Fix .xinitrc/hook execute

* Wed Jun 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-12m)
- update xinitrc-momonga, for twm

* Tue Jun 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-11m)
- Security advisory http://xorg.freedesktop.org/releases/X11R7.1/patches/

* Fri Jun 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.2-10m)
- update xinitrc-momonga, enable ssh-agent for runlevel3 user

* Wed Jun  7 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-9m)
- update Source1 (modify xinitrc-momonga)

* Mon Jun  5 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-8m)
- update Source1 (modify xinitrc-momonga)

* Sun Jun  4 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-7m)
- update Source1
- change X11 start scripts

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-6m)
- delete duplicated dir
- add xorg-x11-xinit-base package

* Sun May 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-5m)
- rewind Source1

* Sun May 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-4m)
- update Source1
-- delete ssh agent from /etc/X11/xinit/xinitrc

* Sun May 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-3m)
- update Source1
-- use sdr in each login

* Sun Apr 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-2m)
- Obsoletes xinitrc
-- Source1 and Patch0 from xinitrc

* Wed Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-1m)
- update 1.0.2(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-4m)
- delete somescript Xmodmap, Xresources, and so on.
- delete To.Alter

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-3m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-2m)
- import to Momonga

* Thu Feb 16 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Change Conflicts to Obsoletes for xorg-x11 and XFree86 (#181414)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated to xinit 1.0.1 from X11R7.0

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated to xinit 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default.

* Tue Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-6
- Add "Requires: xauth" for startx, to fix bug (#173684)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.3-5
- Do not provide xinit anymore, gdm has been fixed and that breaks things
  with the obsoletes

* Sat Nov 12 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-4
- Added Xsession script from xinitrc, as it is very similar codebase, which
  shares "xinitrc-common" anyway, and all of the display managers use it.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-3
- Updated to xinit 0.99.3 from X11R7 RC2.

* Mon Nov 7 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-3
- Added "Provides: xinitrc = 5.0.0-1" for temporary compatibility between
  monolithic and modular X.  This will be removed however for FC5.

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Import custom Red Hat xinit scripts from xinitrc package.
- Obsolete xinitrc package, as we include the scripts/configs here now.
- Fix all scripts/configs to avoid the now obsolete /usr/X11R6 prefix.

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated to xinit 0.99.2 from X11R7 RC1.
- Change manpage location to 'man1x' in file manifest.

* Wed Oct  5 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Use Fedora-Extras style BuildRoot tag.
- Update BuildRequires to use new library package names.
- Tidy up spec file a bit.

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
